function setup()
	actor.name = "Dovell"
	actor.portrait = "dovell"
	actor.repairCost = 250
	actor.repairTime = 4
	
	actor.addMessage("DOVELL: Yes, yes, I hear you! Quit all that bangin' about.", "", 0, 1)
	
	actor.addMessage("DOVELL: What a lovely antique ship! Shoddy condition though.", "", 5)
	actor.addMessage("PRESERVING PAINT IS NOT OPTIMIZED DURING FIREFIGHT" , "stolenrobot", 5)
	actor.addMessage("DOVELL: That's no excuse for poor ownership. I can't stand it!", "", 5)
	actor.addMessage("DOVELL: Here, at least let me vent your bilge exhaust...", "", 5)
	
	actor.addEvent("boss_dovell", 0)
	actor.addEvent("bossfriendly_1", 0)
	actor.addWave("Barge", 1, 0, "DOVELL", "survivor", 1)
	wave.faction = 1		--player's faction
	wave.spawnmode = 2	--start out on the map
	
	actor.addEvent("if_bossalive", 4)
	actor.addEvent("fleet_dovell", 5)
	actor.addEvent("fullheal", 5)
	
	--displayname co-opted as the description
	actor.displayName = 'Dovell will completely repair your ship if he makes it through a battle. "For the re-sell value", he says.'

	--click dialogue
	actor.addClickText("Stop getting into so many fights! You're causing irreparable damage!")
	actor.addClickText("If this were MY ship, it'd be in mint condition.")
	actor.addClickText("Hmm, maybe I can add wood paneling to the hull interior... ")
	actor.addClickText("I can't believe you took that out of its original packaging.")
	actor.addClickText("Looks like it's time for a new paint job, if you ask me.")
	actor.addClickText("I just cleaned 300 kg of alien goo out of your thrusters. Disgusting.")
end